> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aegister.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Segna tutte le notifiche come lette

> Segna come lette tutte le notifiche che puoi vedere. Cambia solo il tuo stato di lettura.



## OpenAPI

````yaml put /api/v1/notifications/read-all
openapi: 3.1.0
info:
  title: Aegister API
  version: 1.1.0
servers: []
security: []
paths:
  /api/v1/notifications/read-all:
    put:
      tags:
        - notifications
      summary: Mark all notifications as read
      description: Mark every visible Notification as read for the CURRENT user.
      operationId: notifications_read_all_update
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: integer
                    description: |-
                      Any value different from 0 indicates an error.  
                      More details can be found in `messages`.
                    minimum: 0
                    maximum: 0
                    examples:
                      - 0
                  messages:
                    type: array
                    description: >-
                      If `error` is `1`, contains zero or more details on the
                      error.
                    examples:
                      - []
                  data:
                    type: object
                    properties:
                      marked:
                        type: integer
                        description: >-
                          Notifications newly marked as read for the current
                          user.
          description: ''
      security:
        - ApiKeyAuth: []
        - ApiKeyQueryParam: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Aegister-Token
    ApiKeyQueryParam:
      type: apiKey
      in: query
      name: X-Aegister-Token

````